#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Flags where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

data TlsPasswordFlags
instance P.Enum TlsPasswordFlags where
instance BoxedFlags TlsPasswordFlags where
instance IsGFlag TlsPasswordFlags
data TlsDatabaseVerifyFlags
instance P.Enum TlsDatabaseVerifyFlags where
instance BoxedFlags TlsDatabaseVerifyFlags where
instance IsGFlag TlsDatabaseVerifyFlags
data TlsCertificateFlags
instance P.Enum TlsCertificateFlags where
instance BoxedFlags TlsCertificateFlags where
instance IsGFlag TlsCertificateFlags
data TestDBusFlags
instance P.Enum TestDBusFlags where
instance BoxedFlags TestDBusFlags where
instance IsGFlag TestDBusFlags
data SubprocessFlags
instance P.Enum SubprocessFlags where
instance BoxedFlags SubprocessFlags where
instance IsGFlag SubprocessFlags
data SocketMsgFlags
instance P.Enum SocketMsgFlags where
instance BoxedFlags SocketMsgFlags where
instance IsGFlag SocketMsgFlags
data SettingsBindFlags
instance P.Enum SettingsBindFlags where
instance BoxedFlags SettingsBindFlags where
instance IsGFlag SettingsBindFlags
data ResourceLookupFlags
instance P.Enum ResourceLookupFlags where
instance BoxedFlags ResourceLookupFlags where
instance IsGFlag ResourceLookupFlags
data ResourceFlags
instance P.Enum ResourceFlags where
instance BoxedFlags ResourceFlags where
instance IsGFlag ResourceFlags
data ResolverNameLookupFlags
instance P.Enum ResolverNameLookupFlags where
instance BoxedFlags ResolverNameLookupFlags where
instance IsGFlag ResolverNameLookupFlags
data OutputStreamSpliceFlags
instance P.Enum OutputStreamSpliceFlags where
instance BoxedFlags OutputStreamSpliceFlags where
instance IsGFlag OutputStreamSpliceFlags
data MountUnmountFlags
instance P.Enum MountUnmountFlags where
instance BoxedFlags MountUnmountFlags where
instance IsGFlag MountUnmountFlags
data MountMountFlags
instance P.Enum MountMountFlags where
instance BoxedFlags MountMountFlags where
instance IsGFlag MountMountFlags
data IOStreamSpliceFlags
instance P.Enum IOStreamSpliceFlags where
instance BoxedFlags IOStreamSpliceFlags where
instance IsGFlag IOStreamSpliceFlags
data FileQueryInfoFlags
instance P.Enum FileQueryInfoFlags where
instance BoxedFlags FileQueryInfoFlags where
instance IsGFlag FileQueryInfoFlags
data FileMonitorFlags
instance P.Enum FileMonitorFlags where
instance BoxedFlags FileMonitorFlags where
instance IsGFlag FileMonitorFlags
data FileMeasureFlags
instance P.Enum FileMeasureFlags where
instance BoxedFlags FileMeasureFlags where
instance IsGFlag FileMeasureFlags
data FileCreateFlags
instance P.Enum FileCreateFlags where
instance BoxedFlags FileCreateFlags where
instance IsGFlag FileCreateFlags
data FileCopyFlags
instance P.Enum FileCopyFlags where
instance BoxedFlags FileCopyFlags where
instance IsGFlag FileCopyFlags
data FileAttributeInfoFlags
instance P.Enum FileAttributeInfoFlags where
instance BoxedFlags FileAttributeInfoFlags where
instance IsGFlag FileAttributeInfoFlags
data DriveStartFlags
instance P.Enum DriveStartFlags where
instance BoxedFlags DriveStartFlags where
instance IsGFlag DriveStartFlags
data DBusSubtreeFlags
instance P.Enum DBusSubtreeFlags where
instance BoxedFlags DBusSubtreeFlags where
instance IsGFlag DBusSubtreeFlags
data DBusSignalFlags
instance P.Enum DBusSignalFlags where
instance BoxedFlags DBusSignalFlags where
instance IsGFlag DBusSignalFlags
data DBusServerFlags
instance P.Enum DBusServerFlags where
instance BoxedFlags DBusServerFlags where
instance IsGFlag DBusServerFlags
data DBusSendMessageFlags
instance P.Enum DBusSendMessageFlags where
instance BoxedFlags DBusSendMessageFlags where
instance IsGFlag DBusSendMessageFlags
data DBusProxyFlags
instance P.Enum DBusProxyFlags where
instance BoxedFlags DBusProxyFlags where
instance IsGFlag DBusProxyFlags
data DBusPropertyInfoFlags
instance P.Enum DBusPropertyInfoFlags where
instance BoxedFlags DBusPropertyInfoFlags where
instance IsGFlag DBusPropertyInfoFlags
data DBusObjectManagerClientFlags
instance P.Enum DBusObjectManagerClientFlags where
instance BoxedFlags DBusObjectManagerClientFlags where
instance IsGFlag DBusObjectManagerClientFlags
data DBusMessageFlags
instance P.Enum DBusMessageFlags where
instance BoxedFlags DBusMessageFlags where
instance IsGFlag DBusMessageFlags
data DBusInterfaceSkeletonFlags
instance P.Enum DBusInterfaceSkeletonFlags where
instance BoxedFlags DBusInterfaceSkeletonFlags where
instance IsGFlag DBusInterfaceSkeletonFlags
data DBusConnectionFlags
instance P.Enum DBusConnectionFlags where
instance BoxedFlags DBusConnectionFlags where
instance IsGFlag DBusConnectionFlags
data DBusCapabilityFlags
instance P.Enum DBusCapabilityFlags where
instance BoxedFlags DBusCapabilityFlags where
instance IsGFlag DBusCapabilityFlags
data DBusCallFlags
instance P.Enum DBusCallFlags where
instance BoxedFlags DBusCallFlags where
instance IsGFlag DBusCallFlags
data ConverterFlags
instance P.Enum ConverterFlags where
instance BoxedFlags ConverterFlags where
instance IsGFlag ConverterFlags
data BusNameWatcherFlags
instance P.Enum BusNameWatcherFlags where
instance BoxedFlags BusNameWatcherFlags where
instance IsGFlag BusNameWatcherFlags
data BusNameOwnerFlags
instance P.Enum BusNameOwnerFlags where
instance BoxedFlags BusNameOwnerFlags where
instance IsGFlag BusNameOwnerFlags
data AskPasswordFlags
instance P.Enum AskPasswordFlags where
instance BoxedFlags AskPasswordFlags where
instance IsGFlag AskPasswordFlags
data ApplicationFlags
instance P.Enum ApplicationFlags where
instance BoxedFlags ApplicationFlags where
instance IsGFlag ApplicationFlags
data AppInfoCreateFlags
instance P.Enum AppInfoCreateFlags where
instance BoxedFlags AppInfoCreateFlags where
instance IsGFlag AppInfoCreateFlags
