#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.ActionGroup where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ActionGroup = ActionGroup (ManagedPtr ActionGroup)
#if ENABLE_OVERLOADING
data ActionGroupActionAddedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActionEnabledChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActionRemovedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActionStateChangedSignalInfo
#endif
instance GObject ActionGroup where
class (GObject o, O.IsDescendantOf ActionGroup o) => IsActionGroup o
instance (GObject o, O.IsDescendantOf ActionGroup o) => IsActionGroup o
instance O.HasParentTypes ActionGroup
#if ENABLE_OVERLOADING
data ActionGroupActionAddedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActionEnabledChangedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActionRemovedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActionStateChangedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupActivateActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupChangeActionStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupGetActionEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupGetActionParameterTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupGetActionStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupGetActionStateHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupGetActionStateTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupHasActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupListActionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGroupQueryActionMethodInfo
#endif
