#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.AppInfo where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AppInfo = AppInfo (ManagedPtr AppInfo)
instance GObject AppInfo where
class (GObject o, O.IsDescendantOf AppInfo o) => IsAppInfo o
instance (GObject o, O.IsDescendantOf AppInfo o) => IsAppInfo o
instance O.HasParentTypes AppInfo
#if ENABLE_OVERLOADING
data AppInfoAddSupportsTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoCanDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoCanRemoveSupportsTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoDupMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetCommandlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetDisplayNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetExecutableMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoGetSupportedTypesMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoLaunchMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoLaunchUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoLaunchUrisAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoLaunchUrisFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoRemoveSupportsTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoSetAsDefaultForExtensionMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoSetAsDefaultForTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoSetAsLastUsedForTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoShouldShowMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoSupportsFilesMethodInfo
#endif
#if ENABLE_OVERLOADING
data AppInfoSupportsUrisMethodInfo
#endif
