#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.Mount where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Mount = Mount (ManagedPtr Mount)
#if ENABLE_OVERLOADING
data MountChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountPreUnmountSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountUnmountedSignalInfo
#endif
instance GObject Mount where
class (GObject o, O.IsDescendantOf Mount o) => IsMount o
instance (GObject o, O.IsDescendantOf Mount o) => IsMount o
instance O.HasParentTypes Mount
#if ENABLE_OVERLOADING
data MountCanEjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountCanUnmountMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountEjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountEjectFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountEjectWithOperationMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountEjectWithOperationFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetDefaultLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetDriveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetRootMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetSortKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetSymbolicIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetUuidMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGetVolumeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGuessContentTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGuessContentTypeFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountGuessContentTypeSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountIsShadowedMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountRemountMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountRemountFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountShadowMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountUnmountMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountUnmountFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountUnmountWithOperationMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountUnmountWithOperationFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountUnshadowMethodInfo
#endif
