#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.NetworkMonitor where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype NetworkMonitor = NetworkMonitor (ManagedPtr NetworkMonitor)
#if ENABLE_OVERLOADING
data NetworkMonitorNetworkChangedSignalInfo
#endif
instance GObject NetworkMonitor where
class (GObject o, O.IsDescendantOf NetworkMonitor o) => IsNetworkMonitor o
instance (GObject o, O.IsDescendantOf NetworkMonitor o) => IsNetworkMonitor o
instance O.HasParentTypes NetworkMonitor
#if ENABLE_OVERLOADING
data NetworkMonitorConnectivityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorNetworkAvailablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorNetworkMeteredPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorCanReachMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorCanReachAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorCanReachFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorGetConnectivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorGetNetworkAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkMonitorGetNetworkMeteredMethodInfo
#endif
