#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.ApplicationCommandLine where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ApplicationCommandLine = ApplicationCommandLine (ManagedPtr ApplicationCommandLine)
instance GObject ApplicationCommandLine where
class (GObject o, O.IsDescendantOf ApplicationCommandLine o) => IsApplicationCommandLine o
instance (GObject o, O.IsDescendantOf ApplicationCommandLine o) => IsApplicationCommandLine o
instance O.HasParentTypes ApplicationCommandLine
#if ENABLE_OVERLOADING
data ApplicationCommandLineArgumentsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineIsRemotePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineOptionsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLinePlatformDataPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineCreateFileForArgMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetArgumentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetCwdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetEnvironMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetExitStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetIsRemoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetOptionsDictMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetPlatformDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetStdinMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineGetenvMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineSetExitStatusMethodInfo
#endif
