#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DBusServer where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DBusServer = DBusServer (ManagedPtr DBusServer)
instance GObject DBusServer where
class (GObject o, O.IsDescendantOf DBusServer o) => IsDBusServer o
instance (GObject o, O.IsDescendantOf DBusServer o) => IsDBusServer o
instance O.HasParentTypes DBusServer
#if ENABLE_OVERLOADING
data DBusServerActivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerAuthenticationObserverPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerClientAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerGuidPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerNewConnectionSignalInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerGetClientAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerGetGuidMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerIsActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusServerStopMethodInfo
#endif
