#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.MountOperation where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype MountOperation = MountOperation (ManagedPtr MountOperation)
instance GObject MountOperation where
class (GObject o, O.IsDescendantOf MountOperation o) => IsMountOperation o
instance (GObject o, O.IsDescendantOf MountOperation o) => IsMountOperation o
instance O.HasParentTypes MountOperation
#if ENABLE_OVERLOADING
data MountOperationAnonymousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationChoicePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationDomainPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationIsTcryptHiddenVolumePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationIsTcryptSystemVolumePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationPasswordPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationPasswordSavePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationPimPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationUsernamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationAbortedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationAskPasswordSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationAskQuestionSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationReplySignalInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationShowProcessesSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationShowUnmountProgressSignalInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetAnonymousMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetChoiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetIsTcryptHiddenVolumeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetIsTcryptSystemVolumeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetPasswordSaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetPimMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationGetUsernameMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationReplyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetAnonymousMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetChoiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetIsTcryptHiddenVolumeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetIsTcryptSystemVolumeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetPasswordSaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetPimMethodInfo
#endif
#if ENABLE_OVERLOADING
data MountOperationSetUsernameMethodInfo
#endif
