#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Permission where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Permission = Permission (ManagedPtr Permission)
instance GObject Permission where
class (GObject o, O.IsDescendantOf Permission o) => IsPermission o
instance (GObject o, O.IsDescendantOf Permission o) => IsPermission o
instance O.HasParentTypes Permission
#if ENABLE_OVERLOADING
data PermissionAllowedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PermissionCanAcquirePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PermissionCanReleasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PermissionAcquireMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionAcquireAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionAcquireFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionGetAllowedMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionGetCanAcquireMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionGetCanReleaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionImplUpdateMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionReleaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionReleaseAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data PermissionReleaseFinishMethodInfo
#endif
