#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Settings where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Settings = Settings (ManagedPtr Settings)
instance GObject Settings where
class (GObject o, O.IsDescendantOf Settings o) => IsSettings o
instance (GObject o, O.IsDescendantOf Settings o) => IsSettings o
instance O.HasParentTypes Settings
#if ENABLE_OVERLOADING
data SettingsBackendPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDelayApplyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsHasUnappliedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsPathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSchemaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSchemaIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSettingsSchemaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsChangeEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data SettingsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SettingsWritableChangeEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data SettingsWritableChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SettingsApplyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsBindMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsBindWritableMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsCreateActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDelayMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDefaultValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDoubleMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnumMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetHasUnappliedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetMappedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetStrvMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetUintMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetUserValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsIsWritableMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsListChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsListKeysMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsRangeCheckMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsResetMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsRevertMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDoubleMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnumMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetStrvMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetUintMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetValueMethodInfo
#endif
