#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.SubprocessLauncher where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype SubprocessLauncher = SubprocessLauncher (ManagedPtr SubprocessLauncher)
instance GObject SubprocessLauncher where
class (GObject o, O.IsDescendantOf SubprocessLauncher o) => IsSubprocessLauncher o
instance (GObject o, O.IsDescendantOf SubprocessLauncher o) => IsSubprocessLauncher o
instance O.HasParentTypes SubprocessLauncher
#if ENABLE_OVERLOADING
data SubprocessLauncherFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherGetenvMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetCwdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetEnvironMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetStderrFilePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetStdinFilePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetStdoutFilePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSetenvMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherSpawnvMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherTakeFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherTakeStderrFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherTakeStdinFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherTakeStdoutFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessLauncherUnsetenvMethodInfo
#endif
