#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.TlsDatabase where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TlsDatabase = TlsDatabase (ManagedPtr TlsDatabase)
instance GObject TlsDatabase where
class (GObject o, O.IsDescendantOf TlsDatabase o) => IsTlsDatabase o
instance (GObject o, O.IsDescendantOf TlsDatabase o) => IsTlsDatabase o
instance O.HasParentTypes TlsDatabase
#if ENABLE_OVERLOADING
data TlsDatabaseCreateCertificateHandleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificateForHandleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificateForHandleAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificateForHandleFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificateIssuerMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificateIssuerAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificateIssuerFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificatesIssuedByMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificatesIssuedByAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseLookupCertificatesIssuedByFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseVerifyChainMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseVerifyChainAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsDatabaseVerifyChainFinishMethodInfo
#endif
