#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.TlsInteraction where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TlsInteraction = TlsInteraction (ManagedPtr TlsInteraction)
instance GObject TlsInteraction where
class (GObject o, O.IsDescendantOf TlsInteraction o) => IsTlsInteraction o
instance (GObject o, O.IsDescendantOf TlsInteraction o) => IsTlsInteraction o
instance O.HasParentTypes TlsInteraction
#if ENABLE_OVERLOADING
data TlsInteractionAskPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionAskPasswordAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionAskPasswordFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionInvokeAskPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionInvokeRequestCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionRequestCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionRequestCertificateAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsInteractionRequestCertificateFinishMethodInfo
#endif
