#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.Drive where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Drive = Drive (ManagedPtr Drive)
#if ENABLE_OVERLOADING
data DriveChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DriveDisconnectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DriveEjectButtonSignalInfo
#endif
#if ENABLE_OVERLOADING
data DriveStopButtonSignalInfo
#endif
instance GObject Drive where
class (GObject o, O.IsDescendantOf Drive o) => IsDrive o
instance (GObject o, O.IsDescendantOf Drive o) => IsDrive o
instance O.HasParentTypes Drive
#if ENABLE_OVERLOADING
data DriveCanEjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveCanPollForMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveCanStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveCanStartDegradedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveCanStopMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveEjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveEjectFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveEjectWithOperationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveEjectWithOperationFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveEnumerateIdentifiersMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetIdentifierMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetSortKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetStartStopTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetSymbolicIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveGetVolumesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveHasMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveHasVolumesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveIsMediaCheckAutomaticMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveIsMediaRemovableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveIsRemovableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DrivePollForMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data DrivePollForMediaFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveStartFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveStopMethodInfo
#endif
#if ENABLE_OVERLOADING
data DriveStopFinishMethodInfo
#endif
