#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.DtlsConnection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DtlsConnection = DtlsConnection (ManagedPtr DtlsConnection)
#if ENABLE_OVERLOADING
data DtlsConnectionAcceptCertificateSignalInfo
#endif
instance GObject DtlsConnection where
class (GObject o, O.IsDescendantOf DtlsConnection o) => IsDtlsConnection o
instance (GObject o, O.IsDescendantOf DtlsConnection o) => IsDtlsConnection o
instance O.HasParentTypes DtlsConnection
#if ENABLE_OVERLOADING
data DtlsConnectionAdvertisedProtocolsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionBaseSocketPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionDatabasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionInteractionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionNegotiatedProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionPeerCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionPeerCertificateErrorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionRehandshakeModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionRequireCloseNotifyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionCloseAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionCloseFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionEmitAcceptCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetDatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetInteractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetNegotiatedProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetPeerCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetPeerCertificateErrorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetRehandshakeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionGetRequireCloseNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionHandshakeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionHandshakeAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionHandshakeFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionSetAdvertisedProtocolsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionSetCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionSetDatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionSetInteractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionSetRehandshakeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionSetRequireCloseNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionShutdownMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionShutdownAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DtlsConnectionShutdownFinishMethodInfo
#endif
