#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Application where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Application = Application (ManagedPtr Application)
instance GObject Application where
class (GObject o, O.IsDescendantOf Application o) => IsApplication o
instance (GObject o, O.IsDescendantOf Application o) => IsApplication o
instance O.HasParentTypes Application
#if ENABLE_OVERLOADING
data ApplicationActionGroupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationApplicationIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationInactivityTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationIsBusyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationIsRegisteredPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationIsRemotePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationResourceBasePathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationCommandLineSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationHandleLocalOptionsSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationNameLostSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationOpenSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationShutdownSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationStartupSignalInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationAddMainOptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationAddMainOptionEntriesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationAddOptionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationBindBusyPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetApplicationIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetDbusConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetDbusObjectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetInactivityTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetIsBusyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetIsRegisteredMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetIsRemoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationGetResourceBasePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationHoldMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationMarkBusyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationOpenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationQuitMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationRegisterMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationReleaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationRunMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSendNotificationMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetApplicationIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetInactivityTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetOptionContextDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetOptionContextParameterStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetOptionContextSummaryMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationSetResourceBasePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationUnbindBusyPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationUnmarkBusyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ApplicationWithdrawNotificationMethodInfo
#endif
