#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Cancellable where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Cancellable = Cancellable (ManagedPtr Cancellable)
instance GObject Cancellable where
class (GObject o, O.IsDescendantOf Cancellable o) => IsCancellable o
instance (GObject o, O.IsDescendantOf Cancellable o) => IsCancellable o
instance O.HasParentTypes Cancellable
#if ENABLE_OVERLOADING
data CancellableCancelledSignalInfo
#endif
#if ENABLE_OVERLOADING
data CancellableCancelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableConnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableDisconnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableGetFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableIsCancelledMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableMakePollfdMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellablePopCurrentMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellablePushCurrentMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableReleaseFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableResetMethodInfo
#endif
#if ENABLE_OVERLOADING
data CancellableSetErrorIfCancelledMethodInfo
#endif
