#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DBusConnection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DBusConnection = DBusConnection (ManagedPtr DBusConnection)
instance GObject DBusConnection where
class (GObject o, O.IsDescendantOf DBusConnection o) => IsDBusConnection o
instance (GObject o, O.IsDescendantOf DBusConnection o) => IsDBusConnection o
instance O.HasParentTypes DBusConnection
#if ENABLE_OVERLOADING
data DBusConnectionAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionAuthenticationObserverPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCapabilitiesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionClosedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionExitOnClosePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGuidPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionStreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionUniqueNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionAddFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCallMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCallFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCallSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCallWithUnixFdListMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCallWithUnixFdListFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCallWithUnixFdListSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCloseFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionCloseSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionEmitSignalMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionExportActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionExportMenuModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionFlushFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionFlushSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetCapabilitiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetExitOnCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetGuidMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetLastSerialMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetPeerCredentialsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetStreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionGetUniqueNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionIsClosedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionRegisterObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionRegisterSubtreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionRemoveFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSendMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSendMessageWithReplyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSendMessageWithReplyFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSendMessageWithReplySyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSetExitOnCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSignalSubscribeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionSignalUnsubscribeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionStartMessageProcessingMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionUnexportActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionUnexportMenuModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionUnregisterObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusConnectionUnregisterSubtreeMethodInfo
#endif
