#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DBusMethodInvocation where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DBusMethodInvocation = DBusMethodInvocation (ManagedPtr DBusMethodInvocation)
instance GObject DBusMethodInvocation where
class (GObject o, O.IsDescendantOf DBusMethodInvocation o) => IsDBusMethodInvocation o
instance (GObject o, O.IsDescendantOf DBusMethodInvocation o) => IsDBusMethodInvocation o
instance O.HasParentTypes DBusMethodInvocation
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetInterfaceNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetMethodInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetMethodNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetObjectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetParametersMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetPropertyInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationGetSenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationReturnDbusErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationReturnErrorLiteralMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationReturnGerrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationReturnValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMethodInvocationReturnValueWithUnixFdListMethodInfo
#endif
