#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DesktopAppInfo where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DesktopAppInfo = DesktopAppInfo (ManagedPtr DesktopAppInfo)
instance GObject DesktopAppInfo where
class (GObject o, O.IsDescendantOf DesktopAppInfo o) => IsDesktopAppInfo o
instance (GObject o, O.IsDescendantOf DesktopAppInfo o) => IsDesktopAppInfo o
instance O.HasParentTypes DesktopAppInfo
#if ENABLE_OVERLOADING
data DesktopAppInfoFilenamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetActionNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetCategoriesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetGenericNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetIsHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetKeywordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetLocaleStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetNodisplayMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetShowInMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetStartupWmClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoGetStringListMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoHasKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoLaunchActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoLaunchUrisAsManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoLaunchUrisAsManagerWithFdsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DesktopAppInfoListActionsMethodInfo
#endif
