#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Menu where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Menu = Menu (ManagedPtr Menu)
instance GObject Menu where
class (GObject o, O.IsDescendantOf Menu o) => IsMenu o
instance (GObject o, O.IsDescendantOf Menu o) => IsMenu o
instance O.HasParentTypes Menu
#if ENABLE_OVERLOADING
data MenuAppendMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuAppendItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuAppendSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuAppendSubmenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuFreezeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuInsertItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuInsertSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuInsertSubmenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPrependMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPrependItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPrependSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPrependSubmenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuRemoveAllMethodInfo
#endif
