#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Socket where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Socket = Socket (ManagedPtr Socket)
instance GObject Socket where
class (GObject o, O.IsDescendantOf Socket o) => IsSocket o
instance (GObject o, O.IsDescendantOf Socket o) => IsSocket o
instance O.HasParentTypes Socket
#if ENABLE_OVERLOADING
data SocketBlockingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketBroadcastPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketFdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketKeepalivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenBacklogPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketLocalAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketMulticastLoopbackPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketMulticastTtlPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketRemoteAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTtlPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketAcceptMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketBindMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketCheckConnectResultMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketConditionCheckMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketConditionTimedWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketConditionWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketConnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketConnectionFactoryCreateConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetAvailableBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetBlockingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetBroadcastMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetCredentialsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetKeepaliveMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetListenBacklogMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetLocalAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetMulticastLoopbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetMulticastTtlMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetOptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetRemoteAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetSocketTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetTtlMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketIsClosedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketIsConnectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketJoinMulticastGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketJoinMulticastGroupSsmMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketLeaveMulticastGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketLeaveMulticastGroupSsmMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReceiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReceiveFromMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReceiveMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReceiveMessagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReceiveWithBlockingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSendMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSendMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSendMessageWithTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSendMessagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSendToMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSendWithBlockingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetBlockingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetBroadcastMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetKeepaliveMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetListenBacklogMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetMulticastLoopbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetMulticastTtlMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetOptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSetTtlMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketShutdownMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketSpeaksIpv4MethodInfo
#endif
