#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.SocketClient where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype SocketClient = SocketClient (ManagedPtr SocketClient)
instance GObject SocketClient where
class (GObject o, O.IsDescendantOf SocketClient o) => IsSocketClient o
instance (GObject o, O.IsDescendantOf SocketClient o) => IsSocketClient o
instance O.HasParentTypes SocketClient
#if ENABLE_OVERLOADING
data SocketClientEnableProxyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientLocalAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientProxyResolverPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientTlsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientTlsValidationFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientAddApplicationProxyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToHostAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToHostFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToServiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToServiceAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToServiceFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToUriAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientConnectToUriFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetEnableProxyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetLocalAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetProxyResolverMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetSocketTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetTlsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientGetTlsValidationFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetEnableProxyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetLocalAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetProxyResolverMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetSocketTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetTlsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketClientSetTlsValidationFlagsMethodInfo
#endif
