#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Subprocess where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Subprocess = Subprocess (ManagedPtr Subprocess)
instance GObject Subprocess where
class (GObject o, O.IsDescendantOf Subprocess o) => IsSubprocess o
instance (GObject o, O.IsDescendantOf Subprocess o) => IsSubprocess o
instance O.HasParentTypes Subprocess
#if ENABLE_OVERLOADING
data SubprocessArgvPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessCommunicateMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessCommunicateAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessCommunicateFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessCommunicateUtf8MethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessCommunicateUtf8AsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessCommunicateUtf8FinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessForceExitMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetExitStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetIdentifierMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetIfExitedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetIfSignaledMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetStderrPipeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetStdinPipeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetStdoutPipeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetSuccessfulMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessGetTermSigMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessSendSignalMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessWaitAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessWaitCheckMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessWaitCheckAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessWaitCheckFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SubprocessWaitFinishMethodInfo
#endif
