#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.TlsConnection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TlsConnection = TlsConnection (ManagedPtr TlsConnection)
instance GObject TlsConnection where
class (GObject o, O.IsDescendantOf TlsConnection o) => IsTlsConnection o
instance (GObject o, O.IsDescendantOf TlsConnection o) => IsTlsConnection o
instance O.HasParentTypes TlsConnection
#if ENABLE_OVERLOADING
data TlsConnectionAdvertisedProtocolsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionBaseIoStreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionDatabasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionInteractionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionNegotiatedProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionPeerCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionPeerCertificateErrorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionRehandshakeModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionRequireCloseNotifyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionUseSystemCertdbPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionAcceptCertificateSignalInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionEmitAcceptCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetDatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetInteractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetNegotiatedProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetPeerCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetPeerCertificateErrorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetRehandshakeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetRequireCloseNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionGetUseSystemCertdbMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionHandshakeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionHandshakeAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionHandshakeFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetAdvertisedProtocolsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetCertificateMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetDatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetInteractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetRehandshakeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetRequireCloseNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data TlsConnectionSetUseSystemCertdbMethodInfo
#endif
